import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:jeweled/cubit/game_cubit.dart';

class GameBottomButtonsWidget extends StatelessWidget {
  const GameBottomButtonsWidget({super.key});

  @override
  Widget build(BuildContext context) {
    String decorationImageAssetName = 'assets/icons/game_fail.png';

    Widget decorationWidget = TextButton(
      child: Image(
        image: AssetImage(decorationImageAssetName),
        fit: BoxFit.fill,
      ),
      onPressed: () {},
    );

    return Table(
      defaultColumnWidth: const IntrinsicColumnWidth(),
      children: [
        TableRow(
          children: [
            Column(
              children: [decorationWidget],
            ),
            Column(
              children: [
                TextButton(
                  child: const Image(
                    image: AssetImage('assets/icons/button_back.png'),
                    fit: BoxFit.fill,
                  ),
                  onPressed: () {
                    final GameCubit gameCubit = BlocProvider.of<GameCubit>(context);
                    gameCubit.quitGame();
                  },
                )
              ],
            ),
            Column(
              children: [decorationWidget],
            ),
          ],
        ),
      ],
    );
  }
}
